スキル強化システムのプラグイン

フォーラムルール
素材の利用規約を決めたいけど、どんなことを書けばいいのか分からない場合は、
素材のテンプレートをご利用下さい。
ワタベ
記事: 74
登録日時: 2015年11月11日(水) 14:43

Re: スキル強化システムのプラグイン

投稿記事by ワタベ » 2018年12月21日(金) 11:48

素早い御回答ありがとうございます!
パッシブスキルは、やはり対応していないのですね。
他に方法を考えてみます。

メニュー画面表示につきましては、教えていただいた箇所の数字を変更したところ希望する形となりました。
ありがとうございます!

ワタベ
記事: 74
登録日時: 2015年11月11日(水) 14:43

Re: スキル強化システムのプラグイン

投稿記事by ワタベ » 2018年12月28日(金) 23:34

image.png

希望通りのウィンドウに出来ました!
ありがとうございます!
たいしょう
記事: 2
登録日時: 2019年2月01日(金) 19:14

Re: スキル強化システムのプラグイン

投稿記事by たいしょう » 2019年7月21日(日) 12:20

おせわになります、たいしょうと申します。
先にツクールフォーラムに投稿してましたが(※1、ご本人様の当該プラグインスレッドがありましたのでこちらにも気k際させていただます


フトコロ氏の
FTKR_SkillUpgradeSystem_Core.js
https://github.com/futokoro/RPGMaker/bl ... em_Core.js
を使ってゲームを作っていますが、上級者向けの設定の設定の一括強化機能を使いたいと持っています(追加で)

>プラグインパラメータ<Upgrade Type X Type>の内容を "all" にすると一括強化が可能になります。
なお、Type 9 に追加した場合は、プラグインパラメータ<Max Upgrade Type Number>の値を
9 に変更することを忘れないでください。

とあるのですが、9に設定し
プラグインパラメータ<Upgrade Type X Type>の内容を "all" にしてテストプレイしたら9個目の強化項目を表示する際にエラーがでます


別のところに
※1)プラグインパラメータのType9,10は拡張用です。
使用する場合には、プラグインの改造が必要です。

とも書いてあるので、改変が必要だと思うのですがそうすればいいのかわかりません、何とぞ
ご享受願えたらと思います

(※1 https://forum.tkool.jp/index.php?threads/%E3%82%B9%E3%82%AD%E3%83%AB%E5%BC%B7%E5%8C%96%E3%82%B7%E3%82%B9%E3%83%86%E3%83%A0%E3%81%AE%E6%94%B9%E8%89%AF%E3%81%AB%E3%81%A4%E3%81%84%E3%81%A6.3392/#post-18171
添付ファイル
バグ.png
アバター
フトコロ
記事: 1029
登録日時: 2017年2月06日(月) 21:32

Re: スキル強化システムのプラグイン

投稿記事by フトコロ » 2019年11月22日(金) 17:57

たいしょう さんが書きました:フトコロ氏の
FTKR_SkillUpgradeSystem_Core.js
https://github.com/futokoro/RPGMaker/bl ... em_Core.js
を使ってゲームを作っていますが、上級者向けの設定の設定の一括強化機能を使いたいと持っています(追加で)

>プラグインパラメータ<Upgrade Type X Type>の内容を "all" にすると一括強化が可能になります。
なお、Type 9 に追加した場合は、プラグインパラメータ<Max Upgrade Type Number>の値を
9 に変更することを忘れないでください。

とあるのですが、9に設定し
プラグインパラメータ<Upgrade Type X Type>の内容を "all" にしてテストプレイしたら9個目の強化項目を表示する際にエラーがでます


別のところに
※1)プラグインパラメータのType9,10は拡張用です。
使用する場合には、プラグインの改造が必要です。

とも書いてあるので、改変が必要だと思うのですがそうすればいいのかわかりません、何とぞ
ご享受願えたらと思います

こんにちは。
だいぶ時間が経ってしまっていますので、このプラグインを使うのをやめているのかもしれませんが
気になりましたので、もしよければ確認させてください。

というのも、現在githubで公開している最新のプラグインを使ってType 9 に all を追加した場合
こちらの環境だと特に問題なくそのまま動作しました。

ですので、どういった環境で実行したらエラーになったのか
もっと詳しく聞かないと、こちらではわからないためです。
エラー時にF12を押して出てくるエラー内容を添付してもらえると助かります。

●使ったプラグインは以下の通りです。
FTKR_SkillExpansion 1.4.2
FTKR_SEP_ShowSkillStatus 1.4.7
FTKR_SkillUpgradeSystem_Core 1.5.3
FTKR_SkillUpgradeSystem_Window 1.5.0
コアスクリプトは v1.6.2

●プラグインパラメータでいじった部分は以下の3か所。
FTKR_SkillExpansion
・Make Sep For Each:1 に変更

FTKR_SkillUpgradeSystem_Core
・Max Upgrade Type Number:9 に変更
・Upgrade Type 9 Type:all に変更

●強化したスキルは
デフォルトで「ハロルド」が覚えている「スパーク」に、「敏捷性弱体」の使用効果を追加したもの。
---------------------------------------------------------------------------------------------------
プラグイン置き場(GitHub)
https://github.com/futokoro/RPGMaker/blob/master/README.md

検討中の内容は上記リンク先の「対応するかもしれないプラグインのメモ」を参照してください。
アバター
フトコロ
記事: 1029
登録日時: 2017年2月06日(月) 21:32

Re: スキル強化システムのプラグイン

投稿記事by フトコロ » 2019年12月17日(火) 01:06

こんにちは。

FTKR_SkillUpgradeSystem_Core.jsに不具合がありましたので修正をしました。
更新をお願いします。

FTKR_SkillUpgradeSystem_Core v1.5.4
https://raw.githubusercontent.com/futokoro/RPGMaker/master/FTKR_SkillUpgradeSystem_Core.js

具体的には、プラグインパラメータの「Upgarede Type * Cost Type」の設定が
全く有効になっていなかったというものです。


また、公式フォーラムで対応したものですが、スキルツリープラグインのSPを
強化コストとして設定できるようにするプラグインも作成しました。

https://raw.githubusercontent.com/futokoro/RPGMaker/master/FTKR_SUS_plus_SP.js
---------------------------------------------------------------------------------------------------
プラグイン置き場(GitHub)
https://github.com/futokoro/RPGMaker/blob/master/README.md

検討中の内容は上記リンク先の「対応するかもしれないプラグインのメモ」を参照してください。

“MV:プラグイン素材” へ戻る